var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { tagPropType, mapToCssModules } from './Shared/helper.js';

//component - CoreUI / CListGroup

var CListGroup = function CListGroup(props) {
  var Tag = props.tag,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      horizontal = props.horizontal,
      flush = props.flush,
      variant = props.variant,
      attributes = _objectWithoutProperties(props, ['tag', 'className', 'cssModule', 'innerRef', 'horizontal', 'flush', 'variant']);

  // render

  var classes = mapToCssModules(classNames(className, 'list-group', horizontal ? 'list-group-horizontal-' + horizontal : false, flush ? 'list-group-flush' : false, variant ? 'list-group-' + variant : false), cssModule);

  return React.createElement(Tag, _extends({}, attributes, { className: classes, ref: innerRef }));
};

CListGroup.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  flush: PropTypes.bool,
  horizontal: PropTypes.string,
  role: PropTypes.string,
  variant: PropTypes.string
} : {};

CListGroup.defaultProps = {
  tag: 'ul',
  role: 'list-items'
};

export default CListGroup;