var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { mapToCssModules } from './Shared/helper.js';
import CLink from './CLink';

//component - CoreUI / CNavLink

var CNavLink = function CNavLink(props) {
  var className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      attributes = _objectWithoutProperties(props, ['className', 'cssModule', 'innerRef']);

  //render

  var classes = mapToCssModules(classNames(className, 'nav-link'), cssModule);

  return React.createElement(CLink, _extends({}, attributes, { className: classes }));
};

CNavLink.propTypes = process.env.NODE_ENV !== "production" ? {
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  onClick: PropTypes.func,
  href: PropTypes.string,
  to: PropTypes.string
} : {};

CNavLink.defaultProps = {};

export default CNavLink;