var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

import React from 'react';
import PropTypes from 'prop-types';
import classNames from 'classnames';
import { tagPropType, mapToCssModules } from './Shared/helper.js';

//component - CoreUI / CSpinner

var CSpinner = function CSpinner(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      innerRef = props.innerRef,
      variant = props.variant,
      size = props.size,
      color = props.color,
      attributes = _objectWithoutProperties(props, ['tag', 'children', 'className', 'cssModule', 'innerRef', 'variant', 'size', 'color']);

  //render

  var classes = mapToCssModules(classNames(className, 'spinner-' + variant, size ? 'spinner-' + variant + '-' + size : false, color ? 'text-' + color : false), cssModule);

  return React.createElement(
    Tag,
    _extends({}, attributes, { className: classes, role: 'status', ref: innerRef }),
    children && React.createElement(
      'span',
      { className: mapToCssModules('sr-only', cssModule) },
      children
    )
  );
};

CSpinner.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: tagPropType,
  children: PropTypes.string,
  className: PropTypes.string,
  cssModule: PropTypes.object,
  //
  innerRef: PropTypes.oneOfType([PropTypes.object, PropTypes.func, PropTypes.string]),
  variant: PropTypes.string,
  size: PropTypes.string,
  color: PropTypes.string
} : {};

CSpinner.defaultProps = {
  tag: 'div',
  variant: 'border',
  children: 'Loading...'
};

export default CSpinner;