'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

var _CCardBody = require('./CCardBody');

var _CCardBody2 = _interopRequireDefault(_CCardBody);

var _CCardHeader = require('./CCardHeader');

var _CCardHeader2 = _interopRequireDefault(_CCardHeader);

var _CCardFooter = require('./CCardFooter');

var _CCardFooter2 = _interopRequireDefault(_CCardFooter);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//component - CoreUI / CCard

var CCard = function CCard(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      innerRef = props.innerRef,
      color = props.color,
      textColor = props.textColor,
      borderColor = props.borderColor,
      accentColor = props.accentColor,
      headerSlot = props.headerSlot,
      footerSlot = props.footerSlot,
      align = props.align,
      bodyClassName = props.bodyClassName,
      bodyProps = props.bodyProps,
      attributes = _objectWithoutProperties(props, ['tag', 'children', 'className', 'cssModule', 'custom', 'innerRef', 'color', 'textColor', 'borderColor', 'accentColor', 'headerSlot', 'footerSlot', 'align', 'bodyClassName', 'bodyProps']);

  //render

  var classes = (0, _helper.mapToCssModules)((0, _classnames2.default)(className, 'card', align ? 'text-' + align : false, textColor ? 'text-' + textColor : false, color ? 'bg-' + color : false, borderColor ? 'border-' + borderColor : false, accentColor ? 'card-accent-' + accentColor : false), cssModule);

  if (!custom) return _react2.default.createElement(
    Tag,
    _extends({}, attributes, { className: classes, ref: innerRef }),
    headerSlot ? _react2.default.createElement(
      _CCardHeader2.default,
      null,
      headerSlot
    ) : '',
    _react2.default.createElement(
      _CCardBody2.default,
      _extends({}, bodyProps, { className: bodyClassName }),
      children
    ),
    footerSlot ? _react2.default.createElement(
      _CCardFooter2.default,
      null,
      footerSlot
    ) : ''
  );

  return _react2.default.createElement(Tag, _extends({}, attributes, { className: classes, ref: innerRef, children: children }));
};

CCard.sharedPropTypes = {
  align: _propTypes2.default.string,
  color: _propTypes2.default.string,
  borderColor: _propTypes2.default.string,
  textColor: _propTypes2.default.string,
  accentColor: _propTypes2.default.string,
  bodyClassName: _propTypes2.default.string,
  bodyProps: _propTypes2.default.object
};

CCard.propTypes = process.env.NODE_ENV !== "production" ? _extends({}, CCard.sharedPropTypes, {
  tag: _helper.tagPropType,
  className: _propTypes2.default.string,
  cssModule: _propTypes2.default.object,
  custom: _propTypes2.default.bool,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  align: _propTypes2.default.string,
  color: _propTypes2.default.string,
  borderColor: _propTypes2.default.string,
  textColor: _propTypes2.default.string,
  accentColor: _propTypes2.default.string,
  bodyClassName: _propTypes2.default.string,
  bodyProps: _propTypes2.default.object,
  headerSlot: _propTypes2.default.node,
  footerSlot: _propTypes2.default.node
}) : {};

CCard.defaultProps = {
  tag: 'div'
};

exports.default = CCard;
module.exports = exports['default'];