'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//component - CoreUI / CCarouselCaption

var CCarouselCaption = function CCarouselCaption(props) {
  var cssModule = props.cssModule,
      className = props.className,
      innerRef = props.innerRef,
      captionHeader = props.captionHeader,
      captionText = props.captionText,
      attributes = _objectWithoutProperties(props, ['cssModule', 'className', 'innerRef', 'captionHeader', 'captionText']);

  //render

  var classes = (0, _helper.mapToCssModules)((0, _classnames2.default)(className, 'carousel-caption', 'd-none', 'd-md-block'), cssModule);

  return _react2.default.createElement(
    'div',
    _extends({ className: classes }, attributes, { ref: innerRef }),
    _react2.default.createElement(
      'h3',
      null,
      captionHeader
    ),
    _react2.default.createElement(
      'p',
      null,
      captionText
    )
  );
};

CCarouselCaption.propTypes = process.env.NODE_ENV !== "production" ? {
  cssModule: _propTypes2.default.object,
  className: _propTypes2.default.string,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  captionHeader: _propTypes2.default.string,
  captionText: _propTypes2.default.string.isRequired
} : {};

exports.default = CCarouselCaption;
module.exports = exports['default'];