'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

var _CHeaderNavLink = require('./CHeaderNavLink');

var _CHeaderNavLink2 = _interopRequireDefault(_CHeaderNavLink);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

//component - CoreUI / CHeaderNavItem

var CHeaderNavItem = function CHeaderNavItem(props) {
  var Tag = props.tag,
      children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      custom = props.custom,
      innerRef = props.innerRef,
      to = props.to,
      linkClassName = props.linkClassName,
      linkProps = props.linkProps,
      attributes = _objectWithoutProperties(props, ['tag', 'children', 'className', 'cssModule', 'custom', 'innerRef', 'to', 'linkClassName', 'linkProps']);

  //render

  var classes = (0, _helper.mapToCssModules)((0, _classnames2.default)(className, 'c-header-nav-item'), cssModule);

  if (!custom) {
    return _react2.default.createElement(
      Tag,
      _extends({}, attributes, { className: classes, ref: innerRef }),
      _react2.default.createElement(_CHeaderNavLink2.default, _extends({}, linkProps, { className: linkClassName, to: to, children: children }))
    );
  }

  return _react2.default.createElement(Tag, _extends({}, attributes, { className: classes, children: children, ref: innerRef }));
};

CHeaderNavItem.propTypes = process.env.NODE_ENV !== "production" ? {
  tag: _helper.tagPropType,
  className: _propTypes2.default.string,
  cssModule: _propTypes2.default.object,
  custom: _propTypes2.default.bool,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  to: _propTypes2.default.string,
  linkClassName: _propTypes2.default.string,
  linkProps: _propTypes2.default.object
} : {};

CHeaderNavItem.defaultProps = {
  tag: 'li'
};

exports.default = CHeaderNavItem;
module.exports = exports['default'];