'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

var _CCard = require('./CCard');

var _CCard2 = _interopRequireDefault(_CCard);

var _CCardBody = require('./CCardBody');

var _CCardBody2 = _interopRequireDefault(_CCardBody);

var _CCardHeader = require('./CCardHeader');

var _CCardHeader2 = _interopRequireDefault(_CCardHeader);

var _CCardFooter = require('./CCardFooter');

var _CCardFooter2 = _interopRequireDefault(_CCardFooter);

var _Slot = require('./Shared/Slot.js');

var _Slot2 = _interopRequireDefault(_Slot);

var _CCol = require('./CCol');

var _CCol2 = _interopRequireDefault(_CCol);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
//

//import CProgress from './CProgress';


//component - CoreUI / CWidget3

var CWidgetBrand = function CWidgetBrand(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      dataBox = props.dataBox,
      color = props.color,
      rightHeader = props.rightHeader,
      rightFooter = props.rightFooter,
      leftHeader = props.leftHeader,
      leftFooter = props.leftFooter,
      addHeaderClasses = props.addHeaderClasses,
      bodySlot = props.bodySlot,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'dataBox', 'color', 'rightHeader', 'rightFooter', 'leftHeader', 'leftFooter', 'addHeaderClasses', 'bodySlot']);

  // render

  var classes = (0, _helper.mapToCssModules)((0, _classnames2.default)(className, "content-center text-white p-0", color ? 'bg-' + color : '', addHeaderClasses), cssModule);

  return _react2.default.createElement(
    _CCard2.default,
    _extends({}, attributes, { custom: true }),
    _react2.default.createElement(
      _CCardHeader2.default,
      {
        className: classes
      },
      _react2.default.createElement(_Slot2.default, { content: children })
    ),
    _react2.default.createElement(
      _Slot2.default,
      { content: bodySlot },
      _react2.default.createElement(
        _CCardBody2.default,
        { className: 'row text-center' },
        _react2.default.createElement(
          _CCol2.default,
          null,
          rightHeader ? _react2.default.createElement(
            'div',
            { className: 'text-value-lg' },
            rightHeader
          ) : '',
          rightFooter ? _react2.default.createElement(
            'div',
            { className: 'text-uppercase text-muted small' },
            rightFooter
          ) : ''
        ),
        _react2.default.createElement('div', { className: 'c-vr' }),
        _react2.default.createElement(
          _CCol2.default,
          null,
          leftHeader ? _react2.default.createElement(
            'div',
            { className: 'text-value-lg' },
            rightHeader
          ) : '',
          leftFooter ? _react2.default.createElement(
            'div',
            { className: 'text-uppercase text-muted small' },
            rightFooter
          ) : ''
        )
      )
    )
  );
};

CWidgetBrand.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  cssModule: _propTypes2.default.object,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  dataBox: _propTypes2.default.func,
  //old
  color: _propTypes2.default.string,
  rightHeader: _propTypes2.default.string,
  rightFooter: _propTypes2.default.string,
  leftHeader: _propTypes2.default.string,
  leftFooter: _propTypes2.default.string,
  addHeaderClasses: _propTypes2.default.oneOfType([String, Array, Object]),
  bodySlot: _propTypes2.default.node
} : {};

CWidgetBrand.defaultProps = {
  dataBox: function dataBox() {
    return { variant: 'facebook', friends: '-', feeds: '-' };
  }
};

exports.default = CWidgetBrand;
module.exports = exports['default'];