'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

var _CCard = require('./CCard');

var _CCard2 = _interopRequireDefault(_CCard);

var _CCardBody = require('./CCardBody');

var _CCardBody2 = _interopRequireDefault(_CCardBody);

var _iconsReact = require('@coreui/icons-react');

var _iconsReact2 = _interopRequireDefault(_iconsReact);

var _CButtonGroup = require('./CButtonGroup');

var _CButtonGroup2 = _interopRequireDefault(_CButtonGroup);

var _CDropdownToggle = require('./CDropdownToggle');

var _CDropdownToggle2 = _interopRequireDefault(_CDropdownToggle);

var _CDropdownMenu = require('./CDropdownMenu');

var _CDropdownMenu2 = _interopRequireDefault(_CDropdownMenu);

var _CDropdownItem = require('./CDropdownItem');

var _CDropdownItem2 = _interopRequireDefault(_CDropdownItem);

var _CDropdown = require('./CDropdown');

var _CDropdown2 = _interopRequireDefault(_CDropdown);

var _Slot = require('./Shared/Slot.js');

var _Slot2 = _interopRequireDefault(_Slot);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
//


//component - CoreUI / CWidgetDropdown

var CWidgetDropdown = function CWidgetDropdown(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      header = props.header,
      text = props.text,
      color = props.color,
      toggle = props.toggle,
      dropdownSlot = props.dropdownSlot,
      mainText = props.mainText,
      smallText = props.smallText,
      value = props.value,
      variant = props.variant,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'header', 'text', 'color', 'toggle', 'dropdownSlot', 'mainText', 'smallText', 'value', 'variant']);

  var _useState = (0, _react.useState)(false),
      isOpen = _useState[0],
      setIsOpen = _useState[1];

  return _react2.default.createElement(
    _CCard2.default,
    _extends({}, attributes, { custom: true, className: 'text-white', color: color }),
    _react2.default.createElement(
      _CCardBody2.default,
      { className: 'pb-0 d-flex justify-content-between' },
      _react2.default.createElement(
        'div',
        null,
        header ? _react2.default.createElement(
          'div',
          { className: 'text-value-lg' },
          header
        ) : '',
        mainText ? _react2.default.createElement(
          'div',
          null,
          text
        ) : ''
      ),
      _react2.default.createElement(_Slot2.default, { content: dropdownSlot })
    ),
    children
  );
};

CWidgetDropdown.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  cssModule: _propTypes2.default.object,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  header: _propTypes2.default.string,
  text: _propTypes2.default.string,
  color: _propTypes2.default.string,
  toggle: _propTypes2.default.func,
  dropdownSlot: _propTypes2.default.node,
  //old
  mainText: _propTypes2.default.string,
  smallText: _propTypes2.default.string,
  value: _propTypes2.default.string,
  variant: _propTypes2.default.string
} : {};

CWidgetDropdown.defaultProps = {
  header: '89.9%',
  text: 'text',
  mainText: 'Widget title',
  smallText: 'Widget helper text',
  // color: '',
  value: '25',
  variant: ''
};

exports.default = CWidgetDropdown;
module.exports = exports['default'];