'use strict';

exports.__esModule = true;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _propTypes = require('prop-types');

var _propTypes2 = _interopRequireDefault(_propTypes);

var _classnames = require('classnames');

var _classnames2 = _interopRequireDefault(_classnames);

var _helper = require('./Shared/helper.js');

var _CCard = require('./CCard');

var _CCard2 = _interopRequireDefault(_CCard);

var _CProgress = require('./CProgress');

var _CProgress2 = _interopRequireDefault(_CProgress);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }
//


//import CCardBody from './CCardBody';
//import CCardHeader from './CCardHeader';
//import CCardFooter from './CCardFooter';

//component - CoreUI / CWidgetProgress

var CWidgetProgress = function CWidgetProgress(props) {
  var children = props.children,
      className = props.className,
      cssModule = props.cssModule,
      header = props.header,
      mainText = props.mainText,
      smallText = props.smallText,
      color = props.color,
      value = props.value,
      variant = props.variant,
      attributes = _objectWithoutProperties(props, ['children', 'className', 'cssModule', 'header', 'mainText', 'smallText', 'color', 'value', 'variant']);

  var progress = { style: '', color: color, value: value };
  var card = { style: '', bgColor: '' };

  if (variant === 'inverse') {
    progress.style = 'progress-white';
    progress.color = '';
    card.style = 'text-white';
    card.bgColor = 'bg-' + color;
  }

  var classes = (0, _helper.mapToCssModules)((0, _classnames2.default)(className, card.style, card.bgColor), cssModule);
  progress.style = (0, _classnames2.default)('progress-xs my-3', progress.style);

  return _react2.default.createElement(
    _CCard2.default,
    _extends({}, attributes, { className: classes }),
    _react2.default.createElement(
      'div',
      { className: 'h4 m-0' },
      header
    ),
    _react2.default.createElement(
      'div',
      null,
      mainText
    ),
    _react2.default.createElement(_CProgress2.default, { className: progress.style, color: progress.color, value: progress.value }),
    _react2.default.createElement(
      'small',
      { className: 'text-muted' },
      smallText
    ),
    _react2.default.createElement(
      'div',
      null,
      children
    )
  );
};

CWidgetProgress.propTypes = process.env.NODE_ENV !== "production" ? {
  children: _propTypes2.default.node,
  className: _propTypes2.default.string,
  cssModule: _propTypes2.default.object,
  //
  innerRef: _propTypes2.default.oneOfType([_propTypes2.default.object, _propTypes2.default.func, _propTypes2.default.string]),
  header: _propTypes2.default.string,
  mainText: _propTypes2.default.string,
  smallText: _propTypes2.default.string,
  color: _propTypes2.default.string,
  value: _propTypes2.default.string,
  variant: _propTypes2.default.string
} : {};

CWidgetProgress.defaultProps = {
  header: '89.9%',
  mainText: 'Widget title',
  smallText: 'Widget helper text',
  // color: '',
  value: '25',
  variant: ''
};

exports.default = CWidgetProgress;
module.exports = exports['default'];